Bug 510173 - Example on network options not clear
Example on network options not clear
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Installation_Guide (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Ruediger Landmann
Content Services Development
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-08 00:52 EDT by Rodney McKee
Modified: 2009-08-20 00:28 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-16 20:23:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodney McKee 2009-07-08 00:52:39 EDT
Description of problem:
The example of the kickstart network option is not clear and actually would not work according to the instructions as it contains "\". This is a VERY minor issue but the example is not clear. 

http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5/html/Installation_Guide/s1-kickstart2-options.html

quote
 The static method requires that you enter all the required networking information in the kickstart file. As the name implies, this information is static and are used during and after the installation. The line for static networking is more complex, as you must include all network configuration information on one line. You must specify the IP address, netmask, gateway, and nameserver. For example: (the "\" indicates that this should be read as one continuous line):

network --bootproto=static --ip=10.0.2.15 --netmask=255.255.255.0 \
--gateway=10.0.2.254 --nameserver=10.0.2.1

If you use the static method, be aware of the following two restrictions:

    *
      All static networking configuration information must be specified on one line; you cannot wrap lines using a backslash, for example. 
End_quote

The example should be displayed without the "\" as is done further down the page for the "user" option

quote
user (optional)
    Creates a new user on the system.

    user --name=<username> [--groups=<list>] [--homedir=<homedir>] [--password=<password>] [--iscrypted] [--shell=<shell>] [--uid=<uid>]
end_quote
Comment 1 Ruediger Landmann 2009-07-16 20:23:39 EDT
Thanks. I've removed the "/" from the examples in this section and modified the warnings accordingly. The changes will be visible when we next republish the guide.

Note You need to log in before you can comment on or make changes to this bug.